Bug 7254 - An uninitialized variable read could cause an smbd crash; CVE-2010-1642
An uninitialized variable read could cause an smbd crash; CVE-2010-1642
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: File services
3.5.0pre2
Other Linux
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-15 18:04 UTC by Jeremy Allison
Modified: 2012-03-16 23:57 UTC (History)
0 users

See Also:


Attachments
git am patch. (864 bytes, patch)
2010-03-15 18:05 UTC, Jeremy Allison
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2010-03-15 18:04:14 UTC
Found by Laurent Gaffie <laurent.gaffie@gmail.com>

Patch to follow.

Jeremy.
Comment 1 Jeremy Allison 2010-03-15 18:05:30 UTC
Created attachment 5501 [details]
git am patch.

Written by Volker, confirmed by the bug reporter. Applied to master.

Jeremy.
Comment 2 Jeremy Allison 2010-03-15 18:05:55 UTC
Re-assigning to Karolin for inclusion in the next 3.5.x and 3.4.x.

Jeremy.
Comment 3 Karolin Seeger 2010-03-16 03:01:46 UTC
Pushed to v3-5-test and v3-4-test.
Closing out bug report.

Thanks!